Kerbal Space Program - Bug #5027

Ul controls inconsistencies
05/21/2015 06:08 PM - Toodzi

Status: Closed Start date: 05/21/2015
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version: 1.1.0

Version: 1.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

In the VAB: Click on the top box to give a name to your ship. Click on the box below to give it focus and type a description. This last
click can "go through" the box and if some vehicle part happens to be visible below, that part will be unwantedly picked up.

In the tracking station: using the mousewheel to scroll the list of ships on the left also changes the zoom level of the center map
(even when the cursor is fully inside the left list).

Flying a ship, on the map view: the buttons on top to filter visible ships by type are unclickable, until the navball is brought up.

History

#1 - 11/20/2015 11:53 AM - sal_vager

- Status changed from New to Need More Info

Marking as "need more info" as this will need to be retested when 1.1 is released.
The Ul will be replaced in 1.1 so these issues may be resolved by the update.

#2 - 04/28/2016 06:53 AM - Toodzi

- Status changed from Need More Info to Updated

- Target version set to 1.1.0

- % Done changed from 0 to 10

Tested in 1.1:

#1 is mostly fixed (there's still the midly annyoying popup with the part name, but at least the part is not clickable)
#2 and #3 are fixed

#3 - 07/18/2016 10:37 AM - TriggerAu
- Status changed from Updated to Needs Clarification
- % Done changed from 10 to 0

Setting this to needs clarification as per the bug cleanup underway:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker

Would be great to hear feedback on this from 1.1.3 and info re bug. Thanks

#4 - 07/22/2016 12:21 PM - mjn

Confirmed all three issues are fixed in 1.1.3. | suspect the popup Toodzi mentioned was part of Kerbal Engineer Redux, which still uses OnGUI [IRC.

#5 - 07/23/2016 06:54 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker

Thanks mjn, appreciate the update
